
INCLUDEPATH += $$PWD/Sonic
HEADERS += \
    $$PWD/Sonic/sonic.h \
    $$PWD/av_clock.h \
    $$PWD/av_decoder.h \
    $$PWD/av_player.h \
    $$PWD/avopenglwidget.h \
    $$PWD/avplayerwidget.h \
    $$PWD/ffmpeg_compat.h \
    $$PWD/threadpool.h \
    $$PWD/vframe.h

SOURCES += \
    $$PWD/Sonic/sonic.c \
    $$PWD/av_decoder.cpp \
    $$PWD/av_player.cpp \
    $$PWD/avopenglwidget.cpp \
    $$PWD/avplayerwidget.cpp \
    $$PWD/threadpool.cpp


win32 {
    INCLUDEPATH += $$PWD/SDL2-2.26.5/include

    LIBS += -L$$PWD/lib \
            -L$$PWD/SDL2-2.26.5/lib/x64 \
            -lSDL2 \
            -lSDL2test \
            -lDwmapi \
            -luser32
}
